> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Smart Contract

` GET /blockscout/smart-contracts/{address_hash} `

Get Smart Contract

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` address_hash ` (path, required)

Address hash

- ` value `: type ` string `

  - pattern: ` "^0x([A-Fa-f0-9]{40})$" `

## Responses

### ` 200 ` — Smart Contract

Content type: ` application/json `

- ` value `: type ` object `

  - ` verified_twin_address_hash `: type ` string `

    - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

  - ` is_verified `: type ` boolean `

  - ` is_changed_bytecode `: type ` boolean `

  - ` is_partially_verified `: type ` boolean `

  - ` is_fully_verified `: type ` boolean `

  - ` is_verified_via_sourcify `: type ` boolean `

  - ` is_verified_via_eth_bytecode_db `: type ` boolean `

  - ` is_self_destructed `: type ` boolean `

  - ` can_be_visualized_via_sol2uml `: type ` boolean `

  - ` minimal_proxy_address_hash `: type ` string `

    - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

  - ` sourcify_repo_url `: type ` string `

    - example: ` "https://sourcify.repo.com/100/link_to_a_contract_at_sourcify" `

  - ` name `: type ` string `

    - example: ` "Cryptostamp3L2" `

  - ` optimization_enabled `: type ` boolean `

    - example: ` false `

  - ` optimizations_runs `: type ` integer `

    - example: ` 200 `

  - ` compiler_version `: type ` string `

    - example: ` "v0.8.4+commit.c7e474f2" `

  - ` evm_version `: type ` string `

    - example: ` "default" `

  - ` verified_at `: type ` string `

    - example: ` "2021-06-02T17:54:17.116055Z" `

  - ` abi `: type ` string `

    - example: ` "[{\"type\":\"constructor\",\"stateMutability\":\"nonpayable\",\"inputs\":[{\"type\":\"address\",\"name\":\"_bridgeDataAddress\",\"internalType\":\"address\"},{\"type\":\"uint256\",\"name\":\"_finalSupply\",\"internalType\":\"uint256\"},{\"type\":\"uint256[5]\",\"name\":\"_totalColorSupply\",\"internalType\":\"uint256[5]\"}]}]" `

  - ` source_code `: type ` string `

    - example: ` "contract A {}" `

  - ` file_path `: type ` string `

    - example: ` "contract.sol" `

  - ` compiler_settings `: type ` object `

    - example: ` {"compilationTarget":{"@openzeppelin/contracts/proxy/ERC1967/ERC1967Proxy.sol":"ERC1967Proxy"},"evmVersion":"london","libraries":{},"metadata":{"bytecodeHash":"ipfs"},"optimizer":{"enabled":true,"runs":200},"remappings":[]} `

  - ` constructor_args `: type ` string `

    - example: ` "0x01" `

  - ` additional_sources `: type ` array `

    - ` array item `: type ` object `

      - ` file_path `: type ` string `

        - example: ` "contracts/erc-20.sol" `

      - ` source_code `: type ` string `

        - example: ` "pragma solidity ^0.8.0; \\n contract A {}" `

  - ` decoded_constructor_args `: type ` array `

    - ` array item `: type ` object `

      - example: ` ["0x2a3885b3f0c98f3e36334d4fa7beda53cb0ae095",{"internalType":"address","name":"_logic","type":"address"}] `

  - ` deployed_bytecode `: type ` string `

    - example: ` "0x01" `

  - ` creation_bytecode `: type ` string `

    - example: ` "0x02" `

  - ` external_libraries `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` name `, ` address_hash `

      - ` name `: type ` string `

        - example: ` "MathLib" `

      - ` address_hash `: type ` string `

        - example: ` "0xF61f5c4a3664501F499A9289AaEe76a709CE536e" `

  - ` language `: type ` string `

    - example: ` "solidity | vyper | yul" `

  - ` status `: type ` string `

    - example: ` "selfdestructed | failed | success" `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/smart-contracts/string'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/smart-contracts/string', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/smart-contracts/string')
print(response.json())
```